<ng-container *ngIf="(list$ | async) as products">

    <ng-container *ngIf="products.length === 0">
        <h1 class="empty">
            No products here.<br/>You have to create at least one!
        </h1>
    </ng-container>

    <ng-container *ngIf="products.length > 0">
        <table>
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Price</th>
                    <th>Date</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let p of products" (click)="gotoProduct(p.id)">
                    <td>{{p.id}}</td>
                    <td>{{p.name | uppercase}}</td>
                    <td>{{p.price | currency:'SEK'}}</td>
                    <td>{{p.date | date:'d MMM yyyy'}}</td>
                </tr>
            </tbody>
        </table>
    </ng-container>

</ng-container>
